org.apache.solr.core

## Class NIOFSDirectoryFactory

- java.lang.Object
- - org.apache.solr.core.DirectoryFactory
  - - org.apache.solr.core.CachingDirectoryFactory
    - - org.apache.solr.core.StandardDirectoryFactory
      - - org.apache.solr.core.NIOFSDirectoryFactory

- All Implemented Interfaces:
    Closeable, AutoCloseable, NamedListInitializedPlugin

      public class NIOFSDirectoryFactory
      extends StandardDirectoryFactory

  Factory to instantiate `NIOFSDirectory`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.core.CachingDirectoryFactory

      `CachingDirectoryFactory.CacheValue, CachingDirectoryFactory.CloseListener`

    - ### Nested classes/interfaces inherited from class org.apache.solr.core.DirectoryFactory

      `DirectoryFactory.DirContext`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.core.CachingDirectoryFactory

      `byDirectoryCache, byPathCache, closeListeners, removeEntries`

    - ### Fields inherited from class org.apache.solr.core.DirectoryFactory

      `coreContainer, INDEX_W_TIMESTAMP_REGEX, IOCONTEXT_NO_CACHE, LOCK_TYPE_HDFS, LOCK_TYPE_NATIVE, LOCK_TYPE_NONE, LOCK_TYPE_SIMPLE, LOCK_TYPE_SINGLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NIOFSDirectoryFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Directory` | `create(String path, LockFactory lockFactory, DirectoryFactory.DirContext dirContext)` Creates a new Directory for a given path.
    `boolean` | `isAbsolute(String path)`

    - ### Methods inherited from class org.apache.solr.core.StandardDirectoryFactory

      `createLockFactory, exists, isPersistent, move, normalize, removeDirectory`

    - ### Methods inherited from class org.apache.solr.core.CachingDirectoryFactory

      `addCloseListener, close, deleteOldIndexDirectory, doneWithDirectory, get, getLivePaths, getPath, incRef, init, release, remove, remove, remove, remove, stripTrailingSlash`

    - ### Methods inherited from class org.apache.solr.core.DirectoryFactory

      `cleanupOldIndexDirectories, empty, getDataHome, initCoreContainer, isSharedStorage, offerMBeans, searchersReserveCommitPoints, size, size, sizeOf, sizeOfDirectory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NIOFSDirectoryFactory

          public NIOFSDirectoryFactory()

  - ### Method Detail

    - #### create

          protected Directory create(String path,
                                     LockFactory lockFactory,
                                     DirectoryFactory.DirContext dirContext)
                              throws IOException

      Description copied from class: `DirectoryFactory`
      Creates a new Directory for a given path.
      Overrides:
        `create` in class `StandardDirectoryFactory`
      Throws:
        `IOException` - If there is a low-level I/O error.

    - #### isAbsolute

          public boolean isAbsolute(String path)

      Overrides:
        `isAbsolute` in class `StandardDirectoryFactory`
      Parameters:
        `path` - the path to check
      Returns:
        true if absolute, as in not relative

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.